GetbeelDocs

bank_connection.expiring

The consent of a bank connection ends within 7 days (once per consent): reconnect it with POST /bank-connections/{id}/reconnect. data.object is the BankConnection. Live endpoints only. Sent as JSON with a Getbeel-Signature header (t=<unix seconds>,v1=<hex HMAC-SHA256 of "<t>.<raw body>" keyed with your endpoint secret>). Answer 2xx; other answers are retried with backoff for about 3 days.

The consent of a bank connection ends within 7 days (once per consent): reconnect it with POST /bank-connections/{id}/reconnect. data.object is the BankConnection. Live endpoints only. Sent as JSON with a Getbeel-Signature header (t=,v1=<hex HMAC-SHA256 of "." keyed with your endpoint secret>). Answer 2xx; other answers are retried with backoff for about 3 days.

application/json
  1. body
id*string
object*string
type*string
Value in"bank_connection.expiring""bank_connection.expired"
created*integer

Unix seconds

Range-9007199254740991 <= value <= 9007199254740991
livemode*boolean
data*

Received

Example Requests
POST/bank_connection.expiring
Corpo della richiesta
application/json
{  "id": "string",  "object": "event",  "type": "bank_connection.expiring",  "created": -9007199254740991,  "livemode": true,  "data": {    "object": {      "object": "bank_connection",      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "provider": "enable_banking",      "application_id": "string",      "bank": {        "name": "Intesa Sanpaolo",        "country": "IT"      },      "psu_type": "business",      "status": "pending",      "consent_expires_at": "2019-08-24T14:15:22Z",      "expires_soon": true,      "last_synced_at": "2019-08-24T14:15:22Z",      "last_error": "string",      "accounts": [        {          "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",          "iban": "string",          "name": "string",          "currency": "string",          "active": true,          "balance": {            "amount": "122.00",            "currency": "string"          },          "last_synced_at": "2019-08-24T14:15:22Z",          "last_booking_date": "2026-10-29",          "transactions": -9007199254740991,          "pending_transactions": [            {              "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",              "date": "2026-10-29",              "description": "string",              "counterparty_name": "string",              "amount": "122.00",              "currency": "string",              "type": "debit"            }          ]        }      ],      "created_at": "2019-08-24T14:15:22Z"    }  }}